Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.monitor.model
Interface Worker

All Known Implementing Classes:
  WorkerImpl

    public interface Worker

Version:
  $Revision: 674365 $

Method Summary
`String` | `getCurrentQueryString()`
`String` | `getCurrentUri()`
`String` | `getMethod()`
`String` | `getProtocol()`
`String` | `getRemoteAddr()`
`long` | `getRequestBytesReceived()`
`long` | `getRequestBytesSent()`
`int` | `getRequestProcessingTime()`
`String` | `getStage()`
`String` | `getVirtualHost()`
`void` | `setCurrentQueryString(String value)`
`void` | `setCurrentUri(String value)`
`void` | `setMethod(String value)`
`void` | `setProtocol(String value)`
`void` | `setRemoteAddr(String value)`
`void` | `setRequestBytesReceived(long value)`
`void` | `setRequestBytesSent(long value)`
`void` | `setRequestProcessingTime(int value)`
`void` | `setStage(String value)`
`void` | `setVirtualHost(String value)`

Method Detail

### getRequestProcessingTime

    int getRequestProcessingTime()

### setRequestProcessingTime

    void setRequestProcessingTime(int value)

### getRequestBytesSent

    long getRequestBytesSent()

### setRequestBytesSent

    void setRequestBytesSent(long value)

### getCurrentQueryString

    String getCurrentQueryString()

### setCurrentQueryString

    void setCurrentQueryString(String value)

### getRemoteAddr

    String getRemoteAddr()

### setRemoteAddr

    void setRemoteAddr(String value)

### getCurrentUri

    String getCurrentUri()

### setCurrentUri

    void setCurrentUri(String value)

### getStage

    String getStage()

### setStage

    void setStage(String value)

### getVirtualHost

    String getVirtualHost()

### setVirtualHost

    void setVirtualHost(String value)

### getProtocol

    String getProtocol()

### setProtocol

    void setProtocol(String value)

### getRequestBytesReceived

    long getRequestBytesReceived()

### setRequestBytesReceived

    void setRequestBytesReceived(long value)

### getMethod

    String getMethod()

### setMethod

    void setMethod(String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.